## ros-melodic-file-management 1.1.5

=== debian/changelog ===
ros-melodic-file-management (1.1.5-1bionic) bionic; urgency=high

  No changes.

 -- AWS RoboMaker <ros-contributions@amazon.com>  Wed, 14 Oct 2020 07:00:00 -0000

ros-melodic-file-management (1.1.4-1bionic) bionic; urgency=high

  * Add AWS logging to batch tests (#58 <https://github.com/aws-robotics/cloudwatch-common/issues/58>)
  * Allow user to automatically delete CloudWatch logs in batch that are > 14 days old (#56 <https://github.com/aws-robotics/cloudwatch-common/issues/56>)
    * move docstring and don't break loop
    * call fileUploadComplete
    * modify struct and add tests
    * add tests and change 2 week wording to old
    * Add lock to discard stale data container
    * extend stale data protection
    * remove setter
    * Reduce lock_guard scope
  * Bumping version to match bloom release (#51 <https://github.com/aws-robotics/cloudwatch-common/issues/51>)
    Bumping version to 1.1.3
  * Fix linting issues found by clang-tidy 6.0 (#50 <https://github.com/aws-robotics/cloudwatch-common/issues/50>)
    * clang-tidy fixes
    * revert explicit constructor declarations to maintain API compatbility
    * clang-tidy linting issues fixed manually
    * fix unit tests build break
  * Increase package version numbers to 1.1.2 (#44 <https://github.com/aws-robotics/cloudwatch-common/issues/44>)
  * Fixes a bug where we did not null check the result of getting the HOM… (#43 <https://github.com/aws-robotics/cloudwatch-common/issues/43>)
    Fixes a bug where we did not null check the result of getting the HOME env variable and also switches to create_directories instead of create_directory so that it doesn't SIGABRT when asked to create multiple levels of a directory.
  * Contributors: Jesse Ikawa, Miaofei Mei, Nick Burek, Ragha Prasad

 -- AWS RoboMaker <ros-contributions@amazon.com>  Thu, 17 Sep 2020 07:00:00 -0000

ros-melodic-file-management (1.1.1-1bionic) bionic; urgency=high

  * Disable error on cast-align warning to support ARMhf builds (#41 <https://github.com/aws-robotics/cloudwatch-common/issues/41>)
    * Remove -Wcast-align flag to support ARMhf builds
    *  - bumped versions to 1.1.1
    - restored cast-align, but added as a warning
    - removed unused headers
    * Removed duplicate Werror
  * modify changelist to be compatible with catkin_generate_changelog (#39 <https://github.com/aws-robotics/cloudwatch-common/issues/39>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * synchronize version of new packages with rest of the packages in the repo (#38 <https://github.com/aws-robotics/cloudwatch-common/issues/38>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Merge pull request #36 <https://github.com/aws-robotics/cloudwatch-common/issues/36> from aws-robotics/guard_test_libs
    Added guards for test libraries
  * Added guards for test libraries
  * Offline logs feature (#34 <https://github.com/aws-robotics/cloudwatch-common/issues/34>)
    * Add file manager and upload complete callback
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Fixed merge conflict
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add file manager test
    Still deciding if the write should just go in the FileManagerStrategy.
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add FileManager to log manager factory
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add generic file upload logic
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add reading, discovery and rotation to FileManagerStrategy
    - Add function getFileToRead that returns the best file to start reading
    from when sending data from the file to CloudWatch.
    - Add function discoverStoredFiles which finds all files in the
    storage directory and keeps them, in case there were offline logs still
    hanging around from a previous run.
    - Add rotateActiveFile which creates a new file to write to. This is
    used when we want to read from the current active file, or when the file
    size limit has been reached.
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add file management system.
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Link file management with publisher
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add test for file management system
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add reading and writing to FileManagerStrategy
    - This way the file manager strategy can handle all the core file data
    stuff, keeping track of the size of the active file and rotating it when
    neccessary.
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * cleanup
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Don't initialize file_manager_strategy yet
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add file upload statistics
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Move file management files to isolated package
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Moved tests to file_manager folder
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Update offline test location
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add comments to file management interfaces
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add more comments to file uploading
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add futures/promises to file upload tasks
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add blocking and observed queue interface
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add comments to observed_queue.h
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Make batch size configurable for file upload manager
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add subscribe method to file upload manager
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Move queues and status monitor to dataflow folder

