=== debian/control ===
Source: ros-melodic-file-management
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), cmake, google-mock, libgtest-dev, ros-melodic-aws-common, ros-melodic-dataflow-lite
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-file-management
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-aws-common, ros-melodic-dataflow-lite
Description: AWS CloudWatch management library used to manage offline files.
